cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jesse <purplecabb...@gmail.com>
Subject Re: Cordova-Android 7.0: Upgrading Java Requirement to 7.0
Date Thu, 29 Jun 2017 20:22:17 GMT
+1


@purplecabbage
risingj.com

On Thu, Jun 29, 2017 at 12:34 PM, Simon MacDonald <simon.macdonald@gmail.com
> wrote:

> +1
>
> As per: https://developer.android.com/guide/platform/j8-jack.html
>
> We can keep the source and target versions set to 1.7 and still use the
> subset of new Java 8 features if uses compile using JDK 8. Perhaps the
> readme should be updated to require JDK 8?
>
>
> Simon Mac Donald
> http://simonmacdonald.com
>
> On Thu, Jun 29, 2017 at 3:09 PM, julio cesar sanchez <
> jcesarmobile@gmail.com
> > wrote:
>
> > +1
> >
> > El 29 jun. 2017 8:34 p. m., "Joe Bowser" <bowserj@gmail.com> escribió:
> >
> > > Hey
> > >
> > > I think we should accept this PR to attract newer developers.  Sure, we
> > > could adopt Java 8, but I think being stuck with Java 6 may be limiting
> > > contributions.  Does anyone have any thoughts on this?
> > >
> > > https://github.com/apache/cordova-android/pull/380
> > >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message